#ifndef __CHANNEL_H
#define __CHANNEL_H

#include <qtabwidget.h>
#include <qtextedit.h>

class Channel: public QTextEdit
{
	private:
		QString chname;
		QString topic;
		bool prv;
	public:
		Channel(QWidget *parent, const QString &name, const QString &topic, bool prv=false);
		Channel(QWidget *parent, const QString &name, bool prv=false);
		~Channel();
		QString name() { return chname;	}
		bool isPrivate() { return prv; }
		QString setTopic(const QString &t) { return topic=t; }
		QString getTopic() { return topic; }
};

#endif

