#ifndef __CHATLINE_H
#define __CHATLINE_H

#include <qlineedit.h>

class ChatLine: public QLineEdit 
{
	Q_OBJECT
	public slots:
		void slotEnter_me();
		void slotEnter_nick();
		void slotEnter_join();
		void slotEnter_leave();
		void slotEnter_chat();
		void slotEnter_topic();
		void slotEnter_info();
		void slotEnter_beep();
		void slotEnter_mass();
		void slotEnter_here();
		void slotEnter_normal();
		void slotEnter_dnd();
		void slotEnter_away();
		void slotEnter_offline();
		void slotEnter_help();
	public:
		virtual void paste();
		ChatLine(QWidget *parent);
		~ChatLine();
};

#endif

