#ifndef __CHLIST_H
#define __CHLIST_H

#include <qstringlist.h>
#include <qdialog.h>
#include <qlineedit.h>

class ChannelList: private QStringList
{
	public:
		ChannelList();
		~ChannelList();
		void add(char *name);
		void add(const QString &name);
		void add(const QStringList &list);
		bool del(const QString &name);
		QStringList list();
};

class ChannelsDialog: public QDialog
{
	Q_OBJECT
	signals:
		void joinChannel(const QString &);
	private slots:
		void slotJoinClicked();
	private:
		QLineEdit *le_channel;
	public:
		ChannelsDialog(QWidget *parent, ChannelList *chlist);
		~ChannelsDialog();

};

#endif

