#ifndef __HISTORY_H
#define __HISTORY_H

#include <qstringlist.h>

class RegexpWin;

class History
{
	private:
		QStringList l;
		QString key;
		int size;
	public:
		History(const QString &key, int size=10);
		~History();
		void append(const QString &txt);
		void save();
		void load();
		QString first();

		friend class StatusWin;
		friend class RegexpWin;
};

#endif

