#include "icons.h"
#include <iostream.h>

QIconSet Icons::icon_comm;
QIconSet Icons::icon_user;
QIconSet Icons::icon_user_dnd;
QIconSet Icons::icon_user_away;
QIconSet Icons::icon_user_offline;
QIconSet Icons::icon_channel;
QIconSet Icons::icon_private;
QIconSet Icons::icon_info;
QIconSet Icons::icon_enter;
QIconSet Icons::icon_settings;

#ifndef DATADIR
#define DATADIR "./"
#endif

void Icons::init()
{
	QIconSet::setIconSize(QIconSet::Small, QSize(16,16));

	QString datapath(DATADIR);
	
	icon_comm = QIconSet(QPixmap(datapath + "comm.xpm"));
	icon_user = QIconSet(QPixmap(datapath + "user.xpm"));
	icon_user_dnd = QIconSet(QPixmap(datapath + "user_dnd.xpm"));
	icon_user_away = QIconSet(QPixmap(datapath + "user_away.xpm"));
	icon_user_offline = QIconSet(QPixmap(datapath + "user_offline.xpm"));
	icon_channel = QIconSet(QPixmap(datapath + "channel.xpm"));
	icon_private = QIconSet(QPixmap(datapath + "priv.xpm"));
	icon_info = QIconSet(QPixmap(datapath + "info.xpm"));
	icon_enter = QIconSet(QPixmap(datapath + "enter.xpm"));
	icon_settings = QIconSet(QPixmap(datapath + "settings.xpm"));

	if (icon_comm.isNull())
		cerr << "error: no pixmap found in "  << datapath << endl; 
}

