#include <qapplication.h>
#include <qmessagebox.h>
#include <unistd.h>
#include <sys/types.h>
#include "appwin.h"
#include "icons.h"

bool amIroot()
{
	return getuid()==0;
}

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	Icons::init();
	if (amIroot())
		QMessageBox::warning(NULL, "VyQChat", "Running VyQChat as root user is not a good idea.\n"
				"Due to the way how Qt handles application configuration, writing any settings as root\n"
				"would make it global. Therefore your settings won't be saved.", "OK");
	MainWindow win;
	app.setMainWidget(&win);
	win.show();
	return app.exec();
}

