#ifndef __STATUS_H
#define __STATUS_H

#include <qcombobox.h>
#include <qdialog.h>
#include <qpushbutton.h>

class History;

class StatusWin: public QDialog
{
	Q_OBJECT
	private:
		QComboBox *infolist;
		QPushButton *b_ok;
	signals:
		void changeStatus(const QString &txt);
	protected slots:
		virtual void accept();
	public:
		StatusWin(QWidget *parent, const QString &name, const History &list);
		~StatusWin();
};

#endif

