#include "channel.h"

Channel::Channel(QWidget *parent, const QString &n, const QString &topic, bool prv): QTextEdit(parent)/*{{{*/
{
	chname = n;
	setReadOnly(true);
	setTextFormat(PlainText);
	this->prv = prv;
	setFocusPolicy(QWidget::NoFocus);
	setTopic(topic);
}/*}}}*/

Channel::Channel(QWidget *parent, const QString &n, bool prv): QTextEdit(parent)/*{{{*/
{
	chname = n;
	setReadOnly(true);
	setTextFormat(PlainText);
	this->prv = prv;
	setFocusPolicy(QWidget::NoFocus);
	setTopic(" ");
}/*}}}*/

Channel::~Channel()/*{{{*/
{
}/*}}}*/

