#ifndef __REGEXP_H
#define __REGEXP_H

#include <qcombobox.h>
#include <qcheckbox.h>
#include <qdialog.h>
#include <qpushbutton.h>
#include <qregexp.h>

class History;

class RegexpWin: public QDialog
{
	Q_OBJECT
	private:
		QComboBox *infolist;
		QCheckBox *b_enable;
		QPushButton *b_ok;
	signals:
		void changeRegexp(const QString &txt, bool on);
	protected slots:
		virtual void accept();
	public:
		RegexpWin(QWidget *parent, const History &list, bool on);
		~RegexpWin();
};

#endif

