#ifndef __TOPICWIN_H
#define __TOPICWIN_H

#include <qlineedit.h>
#include <qdialog.h>
#include <qpushbutton.h>

class TopicWin: public QDialog
{
	Q_OBJECT
	private:
		QLineEdit *le_topic;
		QPushButton *b_ok;
		QPushButton *b_cancel;
		QString channel;
	signals:
		void newTopic(const QString &channel, const QString &txt);
	protected slots:
		virtual void accept();
	public:
		TopicWin(QWidget *parent, const QString &channel, const QString &topic);
		~TopicWin();
};


#endif

